stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
stdex::global_progress< T > Class Template Reference

Global progress indicator. More...

`#include <stdex/progress.hpp>`

Inheritance diagram for stdex::global_progress< T >:

## Public Member Functions
| global_progress (progress< T > *host=nullptr)
| Constructs a progress indicator.
void | attach (progress< T > *host)
| Attach to a host progress indicator.
progress< T > * | detach ()
| Detach host progress indicator.
void | set_global_range (T start, T end)
| Set global extend of the progress indicator.
void | set_section_range (T start, T end)
| Set section extend of the progress indicator.
virtual void | set_text (const char *msg)
| Set progress indicator text.
virtual void | set_range (T start, T end)
| Set local extend of the progress indicator.
virtual void | set (T value)
| Set local current progress.
virtual void | show (bool show=true)
| Show or hide progress.
virtual bool | cancel ()
| Query whether user requested abort.
Public Member Functions inherited from stdex::progress< T >

## Protected Attributes
progress< T > * | m_host
interval< T > | m_local
interval< T > | m_global
interval< T > | m_section

## Detailed Description

template<class T>
class stdex::global_progress< T >

Global progress indicator.

Use to report progress of a phase or section as a part of a whole progress.

## Constructor & Destructor Documentation

## ◆ global_progress()

template<class T >

stdex::global_progress< T >::global_progress | ( | progress< T > * | host = nullptr | ) |
| inline

Constructs a progress indicator.

Parameters

  [in] | host | Host progress indicator

## Member Function Documentation

## ◆ attach()

template<class T >

void stdex::global_progress< T >::attach | ( | progress< T > * | host | ) |
| inline

Attach to a host progress indicator.

Parameters

  [in] | host | Host progress indicator

## ◆ cancel()

template<class T >

virtual bool stdex::global_progress< T >::cancel | ( |  | ) |
| inline virtual

Query whether user requested abort.

Reimplemented from stdex::progress< T >.

## ◆ detach()

template<class T >

progress< T > * stdex::global_progress< T >::detach | ( |  | ) |
| inline

Detach host progress indicator.

Returns
  Old host progress indicator

## ◆ set()

template<class T >

virtual void stdex::global_progress< T >::set | ( | T | value | ) |
| inline virtual

Set local current progress.

Parameters

  [in] | value | Current value of the progress. Must be between start and end parameters provided in set_range() call.

Reimplemented from stdex::progress< T >.

## ◆ set_global_range()

template<class T >

void stdex::global_progress< T >::set_global_range | ( | T | start,
|  | T | end )
| inline

Set global extend of the progress indicator.

Parameters

  [in] | start | Minimum value of the progress
  [in] | end | Maximum value of the progress

## ◆ set_range()

template<class T >

virtual void stdex::global_progress< T >::set_range | ( | T | start,
|  | T | end )
| inline virtual

Set local extend of the progress indicator.

Parameters

  [in] | start | Minimum value of the progress
  [in] | end | Maximum value of the progress

Reimplemented from stdex::progress< T >.

## ◆ set_section_range()

template<class T >

void stdex::global_progress< T >::set_section_range | ( | T | start,
|  | T | end )
| inline

Set section extend of the progress indicator.

Parameters

  [in] | start | Minimum value of the progress
  [in] | end | Maximum value of the progress

## ◆ set_text()

template<class T >

virtual void stdex::global_progress< T >::set_text | ( | const char * | msg | ) |
| inline virtual

Set progress indicator text.

Parameters

  [in] | msg | Text to display

Reimplemented from stdex::progress< T >.

## ◆ show()

template<class T >

virtual void stdex::global_progress< T >::show | ( | bool | show = true | ) |
| inline virtual

Show or hide progress.

Parameters

  [in] | show | Shows or hides progress indicator

Reimplemented from stdex::progress< T >.

The documentation for this class was generated from the following file:

- include/stdex/progress.hpp